Subject: Re: Problems with call-process-region under Cygwin b19
From: [email-masked] (Kevin Ruland)

7 Mar 1998 08:39:10 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Andrew Innes)
Cc: [email-masked], [email-masked]

AndrewI (and company):

> 
> That is, bash definitely inherits the correct handles from Emacs, but is
> not passing them (all) on to hexl.exe, apparently because hexl.exe is
> not a b19-compiled app.
> 
> I've copied this to the gnu-win32 list, just in case this hasn't been
> reported already (I couldn't see it in the mailing list archive).
> 

To test this, I've compiled hexl.c from the emacs-19.34 sources on cs.washington.edu
using the new cygnus b19 gcc.  Guess what!  hexlify-buffer works like a charm!

hexl.c compiled cleanly with no arguments.  I can pass on the binary if you'd
like.

Geoff, it seems that many of the problems: hexlify-buffer, possibly ediff
and emerge, are related to this issue with cygnus b19's bash.  This might be
the proper information to add to the ntemacs faq.  You can say something
like:

"bash from cygnus b19 has difficulty with some applications not compiled with
cygnus b19.  You might be experiencing problems with hexl, ediff and anything
which uses bash to launch a process.  There are two ways to fix this:

1.  Use cmdproxy or bash from cygnus b18 as the shell.
2.  Use diff from cygnus b18 for ediff and use this recompiled hexl.exe."

Kevin

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".